' Copyright 2009 Sven Strickroth <email@cs-ware.de>
'
' This file is part of OSMtracker.
'
' OSMtracker is free software: you can redistribute it and/or modify
' it under the terms of the GNU General Public License version 3 as
' published by the Free Software Foundation.
'
' OSMtracker is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with OSMtracker. If not, see <http://www.gnu.org/licenses/>.

Option Explicit On
Option Strict On

Public Class frmAbout
    Private Sub frmAbout_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.LogoPictureBox.Image = GPXToolMain.Icon.ToBitmap
        Text = "About " & My.Application.Info.Title
        LabelProductName.Text = My.Application.Info.ProductName
        LabelVersion.Text = "Version " & GetAppVersion()
        LabelCopyright.Text = My.Application.Info.Copyright
        Try
            Dim sr As New IO.StreamReader("COPYING.txt")
            TextBoxDescription.Text = sr.ReadToEnd()
            sr.Close()
        Catch ex As Exception
            TextBoxDescription.Text = "Licensed under GPLv3." & vbCrLf & "You can find the license text in the program directory."
        End Try
    End Sub
    Private Sub OKButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OKButton.Click
        Me.Close()
    End Sub
End Class
